CON
    _clkmode = xtal1 + pll4x
    _xinfreq = 5_000_000

CON     ''Setup Constants for SPI communication
      CS = 8     ' chip select
      DataFrom = 9
      DataTo = 10
      Clock = 11   
      simPin= 16               
OBJ
    BS2 : "BS2_Shifting2"    ' Create BS2 Object
     pst       : "Parallax Serial Terminal"
     
PUB Start 
    BS2.start         ' Initialize BS2 Object timing, Rx and Tx pins for DEBUG
    pst.Start(9600)
    pst.home
    pst.NewLine
    pst.str(string("Beacon Reading: "))
    pst.NewLine
    dira[CS]~~
    dira[DataFrom]~~
    dira[Clock]~~
    dira[DataTo]~
    dira[simPin]~~
    
    Sim_Beacon 
   {{ Use Functions as:
       BS2.FREQOUT(pin,duration,frequency)
       or
       MyVariable := BS2.PULSIN(pin,state)

       See comments for each specific function for use.    
  ________________________________________________________________________

  Note: SHIFTIN/OUT, DEBUG/IN and SERIN/OUT are only recommended at 80MHz
        Maximum Baud Rate is 9600.
        For more options, use the"FullDuplexSerial" Library.
                                                              }}
Pub Sim_Beacon| value
 outa[simPin] := 1
 repeat
    outa[CS]~
    value := BS2.Shiftin( DataTo, Clock, BS2#MSBPRE, 8)
    BS2.Shiftout(DataFrom, Clock, 202, BS2#MSBFIRST, 8)
    outa[CS]~~
        pst.dec(value)
        pst.str(string("   ",pst#NL))
    waitcnt(clkfreq*3 + cnt)
    